{"openapi":"3.1.0","info":{"title":"Bridge API","version":"0.0.1","description":"Functionality for interacting with Rhino bridge service"},"paths":{"/quote/commit/{quoteId}":{"post":{"tags":["quote"],"operationId":"quote.commitQuote","parameters":[{"name":"quoteId","in":"path","schema":{"type":"string","description":"The unique identifier of the quote as generated in `POST /quote/bridge-swap/user`, e.g. \"6717e3a9c1a2b4d5e6f78901\"."},"required":true,"description":"The unique identifier of the quote as generated in `POST /quote/bridge-swap/user`, e.g. \"6717e3a9c1a2b4d5e6f78901\"."}],"security":[{"bearer":[]},{"legacyApiKey":[]}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","required":["quoteId"],"properties":{"quoteId":{"type":"string","description":"The unique identifier of this quote. Submit this in the `POST /quote/commit/{quoteId}` endpoint to commit the quote."}},"additionalProperties":false}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/HttpApiDecodeError"},{"$ref":"#/components/schemas/InvalidJwt"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"404":{"description":"QuoteNotFound","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteNotFound"}}}},"422":{"description":"InvalidRequest","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InvalidRequest"},{"$ref":"#/components/schemas/DestinationValidationFailed"}]}}}},"429":{"description":"TooManyRequests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TooManyRequests"}}}},"503":{"description":"DestinationValidationUnavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestinationValidationUnavailable"}}}}},"description":"This endpoint allows you to commit a generated quote from the `POST /quote/bridge-swap/user` endpoint so that it is picked up and tracked by the Rhino.fi system.","summary":"Commit an already generated quote"}},"/quote/bridge-swap/public":{"get":{"tags":["quote"],"operationId":"quote.bridgeSwapPublicQuote","parameters":[{"name":"chainIn","in":"query","schema":{"type":"string","description":"The blockchain that the tokens will be bridged from, e.g. \"ETHEREUM\".","title":"nonEmptyString","minLength":1},"required":true,"description":"The blockchain that the tokens will be bridged from, e.g. \"ETHEREUM\"."},{"name":"chainOut","in":"query","schema":{"type":"string","description":"The blockchain that the tokens will be bridged to, e.g. \"AVALANCHE\".","title":"nonEmptyString","minLength":1},"required":true,"description":"The blockchain that the tokens will be bridged to, e.g. \"AVALANCHE\"."},{"name":"amount","in":"query","schema":{"type":"string","description":"When the mode is \"pay\" this is the amount of the token to be sent; when the mode is \"receive\" this is the amount of the token that will be received. E.g. to send 456.34 USDT the amount should be \"456.34\"."},"required":true,"description":"When the mode is \"pay\" this is the amount of the token to be sent; when the mode is \"receive\" this is the amount of the token that will be received. E.g. to send 456.34 USDT the amount should be \"456.34\"."},{"name":"amountNative","in":"query","schema":{"type":"string","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that will be delivered to the user's wallet on the destination chain for a Gas Boost, e.g. \"10\"."},"required":false,"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that will be delivered to the user's wallet on the destination chain for a Gas Boost, e.g. \"10\"."},{"name":"mode","in":"query","schema":{"type":"string","enum":["pay","receive"],"description":"Whether the amount should represent the sending or receiving amount, e.g. \"pay\". When \"pay\" is used, `amount` represents the value on the `chainIn` and the `chainOut` value will be calculated and provided in the quote. When \"receive\" is used, `amount` represents the value on the `chainOut` and the `chainIn` value will be calculated and provided in the quote.","examples":["pay"]},"required":true,"description":"Whether the amount should represent the sending or receiving amount, e.g. \"pay\". When \"pay\" is used, `amount` represents the value on the `chainIn` and the `chainOut` value will be calculated and provided in the quote. When \"receive\" is used, `amount` represents the value on the `chainOut` and the `chainIn` value will be calculated and provided in the quote."},{"name":"isSda","in":"query","schema":{"allOf":[{"$ref":"#/components/schemas/BooleanFromString"}],"description":"Whether the generated quote should be for the transaction via a Rhino.fi Smart Deposit Address or not, e.g. `true`. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as `true`. This param will default to `false`."},"required":false,"description":"Whether the generated quote should be for the transaction via a Rhino.fi Smart Deposit Address or not, e.g. `true`. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as `true`. This param will default to `false`."},{"name":"tokenIn","in":"query","schema":{"type":"string","description":"The token that is to be sent on the chainIn, e.g. \"USDT\".","title":"nonEmptyString","minLength":1},"required":true,"description":"The token that is to be sent on the chainIn, e.g. \"USDT\"."},{"name":"tokenOut","in":"query","schema":{"type":"string","description":"The token that is to be received on the chainOut, e.g. \"USDT\".","title":"nonEmptyString","minLength":1},"required":true,"description":"The token that is to be received on the chainOut, e.g. \"USDT\"."}],"security":[],"responses":{"200":{"description":"SingleBridgePublicQuoteResponseSchema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/SingleBridgePublicQuoteResponseSchema"},{"$ref":"#/components/schemas/BridgeSwapPublicQuoteResponseSchema"}]}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpApiDecodeError"}}}},"404":{"description":"NoRouteFoundError","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoRouteFoundError"}}}},"422":{"description":"InvalidRequest","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InvalidRequest"},{"$ref":"#/components/schemas/GasBoostGreaterThanReceiveAmount"},{"$ref":"#/components/schemas/NegativeReceiveAmount"},{"$ref":"#/components/schemas/NoCommonBridgeTokensError"},{"$ref":"#/components/schemas/NoBridgeTokenFoundError"},{"$ref":"#/components/schemas/SameChainSwapNotAvailable"}]}}}}},"description":"Fetch public bridge and swap quote.","summary":"Public Quote for Bridge & Swap"}},"/quote/bridge-swap/user":{"post":{"tags":["quote"],"operationId":"quote.bridgeSwapUserQuote","parameters":[],"security":[{"bearer":[]},{"legacyApiKey":[]}],"responses":{"200":{"description":"ConnectedSingleBridgeQuoteResponseSchema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ConnectedSingleBridgeQuoteResponseSchema"},{"$ref":"#/components/schemas/ConnectedBridgeSwapQuoteResponseSchema"},{"$ref":"#/components/schemas/ConnectedDepositAddressBridgeQuoteResponseSchema"}]}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/HttpApiDecodeError"},{"$ref":"#/components/schemas/InvalidJwt"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"404":{"description":"NoRouteFoundError","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoRouteFoundError"}}}},"422":{"description":"WithdrawLimitReached","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/WithdrawLimitReached"},{"$ref":"#/components/schemas/DepositLimitReached"},{"$ref":"#/components/schemas/GasBoostGreaterThanReceiveAmount"},{"$ref":"#/components/schemas/NegativeReceiveAmount"},{"$ref":"#/components/schemas/InvalidRequest"},{"$ref":"#/components/schemas/SwapLimitReached"},{"$ref":"#/components/schemas/NoCommonBridgeTokensError"},{"$ref":"#/components/schemas/NoBridgeTokenFoundError"},{"$ref":"#/components/schemas/SdaDepositLimitExceeded"},{"$ref":"#/components/schemas/SdaDepositBelowMinimum"},{"$ref":"#/components/schemas/SameChainSwapNotAvailable"}]}}}}},"description":"This endpoint allows you to obtain a quote for a bridge or bridge+swap transaction that can be submitted through the `POST /quote/commit/{quoteId}` endpoint.","summary":"Generate a bridge/bridge+swap quote","requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["chainIn","chainOut","amount","mode","tokenIn","tokenOut","depositor","recipient"],"properties":{"chainIn":{"type":"string","description":"The blockchain that the tokens will be bridged from, e.g. \"ETHEREUM\".","title":"nonEmptyString","minLength":1},"chainOut":{"type":"string","description":"The blockchain that the tokens will be bridged to, e.g. \"AVALANCHE\".","title":"nonEmptyString","minLength":1},"amount":{"type":"string","description":"When the mode is \"pay\" this is the amount of the token to be sent; when the mode is \"receive\" this is the amount of the token that will be received. E.g. to send 456.34 USDT the amount should be \"456.34\"."},"amountNative":{"type":"string","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that will be delivered to the user's wallet on the destination chain for a Gas Boost, e.g. \"10\"."},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount should represent the sending or receiving amount, e.g. \"pay\". When \"pay\" is used, `amount` represents the value on the `chainIn` and the `chainOut` value will be calculated and provided in the quote. When \"receive\" is used, `amount` represents the value on the `chainOut` and the `chainIn` value will be calculated and provided in the quote.","examples":["pay"]},"isSda":{"allOf":[{"$ref":"#/components/schemas/BooleanFromString"}],"description":"Whether the generated quote should be for the transaction via a Rhino.fi Smart Deposit Address or not, e.g. `true`. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as `true`. This param will default to `false`."},"tokenIn":{"type":"string","description":"The token that is to be sent on the chainIn, e.g. \"USDT\".","title":"nonEmptyString","minLength":1},"tokenOut":{"type":"string","description":"The token that is to be received on the chainOut, e.g. \"USDT\".","title":"nonEmptyString","minLength":1},"depositor":{"type":"string","description":"The address on the chainIn that will be sending the tokens for bridging, e.g. \"0x1234...Abc\"."},"recipient":{"type":"string","description":"The address on the chainOut that will be receiving the bridged tokens, e.g. \"0x1234...Abc\"."},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for specific clients, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"webhookUrl":{"type":"string","description":"A URL that success or failure events related to this bridging transaction should be sent to, e.g. \"https://client.com/rhino-webhook\"."},"refundAddress":{"type":"string","description":"The address that the tokens should be returned to in the case that this transaction fails, e.g. \"0xabc...xyz\". Where this is not set in advance, Rhino.fi can still facilitate the refund of any assets given a failed AML check or unsupported tokens being received; please contact your Customer Support Manager for assistance in this situation."}},"additionalProperties":false}}},"required":true}}},"/quote/bridge-swap/limits":{"get":{"tags":["quote"],"operationId":"quote.bridgeSwapLimits","parameters":[{"name":"chainIn","in":"query","schema":{"type":"string","description":"The blockchain that the tokens will be bridged from, e.g. \"ETHEREUM\"."},"required":true,"description":"The blockchain that the tokens will be bridged from, e.g. \"ETHEREUM\"."},{"name":"chainOut","in":"query","schema":{"type":"string","description":"The blockchain that the tokens will be bridged to, e.g. \"AVALANCHE\"."},"required":true,"description":"The blockchain that the tokens will be bridged to, e.g. \"AVALANCHE\"."},{"name":"tokenIn","in":"query","schema":{"type":"string","description":"The token that is to be sent on the chainIn, e.g. \"USDT\"."},"required":true,"description":"The token that is to be sent on the chainIn, e.g. \"USDT\"."},{"name":"tokenOut","in":"query","schema":{"type":"string","description":"The token that is to be received on the chainOut, e.g. \"USDT\"."},"required":true,"description":"The token that is to be received on the chainOut, e.g. \"USDT\"."},{"name":"isSda","in":"query","schema":{"allOf":[{"$ref":"#/components/schemas/BooleanFromString"}],"description":"Whether the limits are for a transaction via a Rhino.fi Smart Deposit Address or not, e.g. `true`. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as `true`. This param will default to `false`."},"required":false,"description":"Whether the limits are for a transaction via a Rhino.fi Smart Deposit Address or not, e.g. `true`. If the transaction will be via a Rhino.fi Smart Deposit Address then this should be included as `true`. This param will default to `false`."},{"name":"depositor","in":"query","schema":{"type":"string"},"required":false}],"security":[{"bearer":[]},{"legacyApiKey":[]}],"responses":{"200":{"description":"BridgeSwapLimitsResponseSchema","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BridgeSwapLimitsResponseSchema"}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/HttpApiDecodeError"},{"$ref":"#/components/schemas/InvalidJwt"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"422":{"description":"InvalidRequest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequest"}}}}},"description":"This endpoint provides information on the maximum amount which can be deposited and what settlement speed this will be achieved in, for various bridge or SDA routes.","summary":"Get the current limits for a path"}},"/configs":{"get":{"tags":["configs"],"operationId":"configs.configs","parameters":[],"security":[],"responses":{"200":{"description":"Map of network identifiers to their configuration details. Keys are network identifiers, values contain full network configuration including tokens.","content":{"application/json":{"schema":{"type":"object","required":[],"properties":{},"additionalProperties":{"$ref":"#/components/schemas/BridgeConfigEntrySchema"},"description":"Map of network identifiers to their configuration details. Keys are network identifiers, values contain full network configuration including tokens."}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpApiDecodeError"}}}}},"description":"This endpoint provides key information about the chains and tokens that Rhino.fi supports swapping and/or bridging across as well as field names that should be used in other endpoints.","summary":"Obtain token and chain details for swapping and/or bridging activity"}},"/config/{chain}/{token}":{"get":{"tags":["configs"],"operationId":"configs.configTokenChain","parameters":[{"name":"chain","in":"path","schema":{"type":"string","description":"The blockchain that details should be provided for, e.g. \"ETHEREUM\"."},"required":true,"description":"The blockchain that details should be provided for, e.g. \"ETHEREUM\"."},{"name":"token","in":"path","schema":{"type":"string","description":"The token that details should be provided for."},"required":true,"description":"The token that details should be provided for."}],"security":[],"responses":{"200":{"description":"ExtendedTokenEntry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtendedTokenEntry"}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/HttpApiDecodeError"},{"$ref":"#/components/schemas/InvalidTokenForChain"},{"$ref":"#/components/schemas/InvalidToken"}]}}}}},"description":"This endpoint provides key information a chain or token that Rhino.fi supports swapping and/or bridging across as well as field names that should be used in other endpoints.","summary":"Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain"}},"/config/tokens":{"get":{"tags":["configs"],"operationId":"configs.configTokenAddressChain","parameters":[{"name":"chain","in":"query","schema":{"type":"string","description":"The blockchain chain identifier (e.g., \"ETHEREUM\", \"ARBITRUM\")."},"required":true,"description":"The blockchain chain identifier (e.g., \"ETHEREUM\", \"ARBITRUM\")."},{"name":"tokenAddress","in":"query","schema":{"type":"string","description":"The token contract address on the specified chain."},"required":true,"description":"The token contract address on the specified chain."}],"security":[],"responses":{"200":{"description":"ExtendedTokenEntry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtendedTokenEntry"}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/HttpApiDecodeError"},{"$ref":"#/components/schemas/InvalidTokenForChain"},{"$ref":"#/components/schemas/InvalidToken"}]}}}}},"description":"Fetch config for a token by address","summary":"Single Config (token address/chain)"}},"/bridge-swap-token-configs":{"get":{"tags":["configs"],"operationId":"configs.bridgeSwapTokenConfigs","parameters":[],"security":[],"responses":{"200":{"description":"Map of token symbols to their configuration arrays across all supported chains.","content":{"application/json":{"schema":{"type":"object","required":[],"properties":{},"additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/TokenConfigResponseSchema"},"description":"Array of token configurations for the specified token across different chains."},"description":"Map of token symbols to their configuration arrays across all supported chains."}}}},"400":{"description":"The request did not match the expected schema","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpApiDecodeError"}}}}},"description":"This endpoint provides a list of which swap tokens are supported by Rhino.fi on which chains and key details for each chain and token. These are the tokens available for swapping activity.","summary":"Obtain details for which swap tokens are supported by Rhino.fi on which chains"}},"/history-cursor/user":{"get":{"tags":["history"],"operationId":"history.userHistoryCursor","parameters":[{"name":"sortBy","in":"query","schema":{"type":"string","enum":["createdAt","updatedAt"],"description":"The field that results will be sorted by. Either \"createdAt\" (sorting by the datetime that the quote was created) or \"updatedAt\" (sorting by the datetime that the quote was last updated). Must be used in conjunction with sortDirection.","examples":["createdAt"]},"required":true,"description":"The field that results will be sorted by. Either \"createdAt\" (sorting by the datetime that the quote was created) or \"updatedAt\" (sorting by the datetime that the quote was last updated). Must be used in conjunction with sortDirection."},{"name":"sortDirection","in":"query","schema":{"type":"string","enum":["asc","desc"],"description":"The order that results will be returned in. Either \"asc\" or \"desc\". Must be used in conjunction with sortBy.","examples":["desc"]},"required":true,"description":"The order that results will be returned in. Either \"asc\" or \"desc\". Must be used in conjunction with sortBy."},{"name":"pageToken","in":"query","schema":{"$ref":"#/components/schemas/NonEmptyString"},"required":false},{"name":"pageSize","in":"query","schema":{"type":"string","description":"a string to be decoded into a number"},"required":true,"description":"a string to be decoded into a number"},{"name":"state","in":"query","schema":{"type":"string","enum":["PENDING","ACCEPTED","EXECUTED"],"description":"Optional filter by the status of the bridge/bridge+swap transaction. One of: \"PENDING\" (the quote has been committed but the deposit has not yet been received and accepted for processing), \"ACCEPTED\" (the deposit has been accepted and the transaction is being processed onchain), or \"EXECUTED\" (fully processed onchain).","examples":["PENDING"]},"required":false,"description":"Optional filter by the status of the bridge/bridge+swap transaction. One of: \"PENDING\" (the quote has been committed but the deposit has not yet been received and accepted for processing), \"ACCEPTED\" (the deposit has been accepted and the transaction is being processed onchain), or \"EXECUTED\" (fully processed onchain)."}],"security":[{"bearer":[]},{"legacyApiKey":[]}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","required":["items","nextPageToken"],"properties":{"items":{"type":"array","items":{"anyOf":[{"anyOf":[{"type":"object","required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","state"],"properties":{"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"token":{"type":"string","description":"The asset being bridged, sent on the chainIn and received on the chainOut."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"_tag":{"type":"string","enum":["bridge"]},"state":{"type":"string","enum":["PENDING"]}},"additionalProperties":false},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","state"],"properties":{"_tag":{"type":"string","enum":["bridgeSwap"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn."},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut."},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage."},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut."},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created."},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created."},"preSwap":{"$ref":"#/components/schemas/SwapQuote"},"postSwap":{"$ref":"#/components/schemas/SwapQuote"},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount represented the sending (\"pay\") or receiving (\"receive\") amount when the quote was generated."},"isAtomicSwap":{"type":"boolean","description":"Whether the transaction was executed as an atomic swap."},"swapFeeMultiplier":{"type":"string","description":"The multiplier applied to the swap fee for this transaction."},"state":{"type":"string","enum":["PENDING"]}},"additionalProperties":false},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","state"],"properties":{"_tag":{"type":"string","enum":["depositAddressBridge"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"token":{"type":"string","description":"The asset deposited into the Smart Deposit Address on the chainIn. Where the deposit address performs a swap, the asset received on the chainOut may differ."},"tokenOut":{"type":"string","description":"The asset received on the chainOut where the deposit address performs a swap."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"depositAddress":{"type":"string","description":"The Rhino.fi Smart Deposit Address that the tokens were deposited to."},"preSwap":{"$ref":"#/components/schemas/SwapQuote"},"postSwap":{"$ref":"#/components/schemas/SwapQuote"},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"state":{"type":"string","enum":["PENDING"]}},"additionalProperties":false},{"type":"object","required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","depositTxHash","depositDiscoveredAt","expectedDepositConfirmedAt","expectedDepositConfirmedAtBlock","state"],"properties":{"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"token":{"type":"string","description":"The asset being bridged, sent on the chainIn and received on the chainOut."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"_tag":{"type":"string","enum":["bridge"]},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositDiscoveredAt":{"type":"string","description":"The datetime that Rhino.fi first discovered the deposit transaction on the chainIn."},"expectedDepositConfirmedAt":{"type":"string","description":"The datetime that the deposit transaction is expected to reach the required number of confirmations on the chainIn."},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations.","title":"int"},"state":{"type":"string","enum":["PENDING_CONFIRMATION"]}},"additionalProperties":false},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","depositTxHash","depositDiscoveredAt","expectedDepositConfirmedAt","expectedDepositConfirmedAtBlock","state"],"properties":{"_tag":{"type":"string","enum":["bridgeSwap"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn."},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut."},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage."},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut."},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created."},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created."},"preSwap":{"$ref":"#/components/schemas/SwapQuote"},"postSwap":{"$ref":"#/components/schemas/SwapQuote"},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount represented the sending (\"pay\") or receiving (\"receive\") amount when the quote was generated."},"isAtomicSwap":{"type":"boolean","description":"Whether the transaction was executed as an atomic swap."},"swapFeeMultiplier":{"type":"string","description":"The multiplier applied to the swap fee for this transaction."},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositDiscoveredAt":{"type":"string","description":"The datetime that Rhino.fi first discovered the deposit transaction on the chainIn."},"expectedDepositConfirmedAt":{"type":"string","description":"The datetime that the deposit transaction is expected to reach the required number of confirmations on the chainIn."},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations.","title":"int"},"state":{"type":"string","enum":["PENDING_CONFIRMATION"]}},"additionalProperties":false},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","depositTxHash","depositDiscoveredAt","expectedDepositConfirmedAt","expectedDepositConfirmedAtBlock","state"],"properties":{"_tag":{"type":"string","enum":["depositAddressBridge"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"token":{"type":"string","description":"The asset deposited into the Smart Deposit Address on the chainIn. Where the deposit address performs a swap, the asset received on the chainOut may differ."},"tokenOut":{"type":"string","description":"The asset received on the chainOut where the deposit address performs a swap."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"depositAddress":{"type":"string","description":"The Rhino.fi Smart Deposit Address that the tokens were deposited to."},"preSwap":{"$ref":"#/components/schemas/SwapQuote"},"postSwap":{"$ref":"#/components/schemas/SwapQuote"},"paymentIntentId":{"$ref":"#/components/schemas/PaymentIntentId"},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn."},"depositDiscoveredAt":{"type":"string","description":"The datetime that Rhino.fi first discovered the deposit transaction on the chainIn."},"expectedDepositConfirmedAt":{"type":"string","description":"The datetime that the deposit transaction is expected to reach the required number of confirmations on the chainIn."},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations.","title":"int"},"state":{"type":"string","enum":["PENDING_CONFIRMATION"]}},"additionalProperties":false},{"type":"object","required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","cancelledAt","state"],"properties":{"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"token":{"type":"string","description":"The asset being bridged, sent on the chainIn and received on the chainOut."},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created."},"_tag":{"type":"string","enum":["bridge"]},"cancelledAt":{"type":"string","description":"The datetime that the transaction was cancelled."},"state":{"type":"string","enum":["CANCELLED"]}},"additionalProperties":false},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","cancelledAt","state"],"properties":{"_tag":{"type":"string","enum":["bridgeSwap"]},"_id":{"type":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with."},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from."},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to."},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn."},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn."},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut."},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut."},"amountNative":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromString"},{"type":"null"}],"description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately."},"amountNativeUsd":{"anyOf":[{"$ref":"#/components/schemas/BigDecimalFromNumber"},{"type":"null"}],"description":"The value, in USD, of amountNative."},"fee":{"type":"string","description":"The total cost of the transaction as paid by the end customer, denominated in the token."},"feeUsd":{"type":"number","description":"The total cost, in USD, of the transaction."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."},"sponsoredFees":{"type":"object","required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"properties":{"fee":{"type":"string","description":"The total cost of the transaction."},"feeUsd":{"type":"number","description":"The total cost of the transaction, in USD."},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero."},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD."},"platformFee":{"type":"string","description":"The value of any additional fee levied on top by Rhino.fi and paid by the client. This is only relevant for legacy clients."},"platformFeeUsd":{"type":"number","description":"The platformFee value, in USD."},"percentageFee":{"type":"string","description":"Will be zero since this represents a charge levied on the end customer by the client. To understand the value charged to the end customer, the percentageFee value from the main fee body should be used. N.B. for PAYG/Subscription clients this is now referred to as the \"Client Surcharge\"."},"percentageFeeUsd":{"type":"number","description":"The percentageFee value, in USD."},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction."},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD."}},"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer."},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens."},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging."},"createdAt":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was created."},"commitmentDate":{"type":"string","description":"The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi."},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed."},"estimatedDuration":{"type":"number","description":"The estimated time for the transaction to complete in milliseconds.","title":"nonNegative","minimum":0},"postBridgeData":{"anyOf":[{"$ref":"#/components/schemas/ExtendedPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapPostBridgeData"},{"$ref":"#/components/schemas/WirexWrapSandboxPostBridgeData"},{"$ref":"#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData"},{"$ref":"#/components/schemas/AaveV3SupplyPostBridgeData"},{"$ref":"#/components/schemas/RocketFoundationDepositPostBridgeData"},{"$ref":"#/components/schemas/MapleDepositPostBridgeData"},{"$ref":"#/components/schemas/EtherfiDepositPostBridgeData"}],"description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team."},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier."},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn."
[...]
